Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.core.config
Class FileConfigVarManager

    java.lang.Object
      org.eclipse.birt.core.config.SystemConfigVarManager
          org.eclipse.birt.core.config.FileConfigVarManager

    public class FileConfigVarManager

extends SystemConfigVarManager

Defines a configuration manager class that loads configuration variables from a file. In case the file does not contain a specified config var, the system config var manager is used as backup.

Field Summary
`protected boolean` | `configFileLoaded` is the configuration file loaded
`protected java.lang.String` | `configFileName` configuration file name
`protected java.util.Properties` | `fileConfigVars` Configuration variables retrieved from file

Constructor Summary
`FileConfigVarManager()` Constructor
`FileConfigVarManager(java.lang.String configFileName)`

Method Summary
`java.lang.String` | `getConfigVar(java.lang.String key)`

Methods inherited from class org.eclipse.birt.core.config.SystemConfigVarManager
`getConfigBoolean, getConfigInteger, getConfigInteger, getConfigVar`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fileConfigVars

    protected java.util.Properties fileConfigVars

  Configuration variables retrieved from file

### configFileName

    protected java.lang.String configFileName

  configuration file name

### configFileLoaded

    protected boolean configFileLoaded

  is the configuration file loaded

Constructor Detail

### FileConfigVarManager

    public FileConfigVarManager()

  Constructor

### FileConfigVarManager

    public FileConfigVarManager(java.lang.String configFileName)

Parameters:
  `configFileName` - the configuration file name

Method Detail

### getConfigVar

    public java.lang.String getConfigVar(java.lang.String key)

  Overrides:
    `getConfigVar` in class `SystemConfigVarManager`
  Parameters:
    `key` - the configuration variable name
  Returns:
    The value for the configuration variable. null if it is not set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.